/* --- MENU FEBRASGO --- */
.navbar-brand img {
  max-height: 55px;
}

/*.btn-group-header{
  margin-left: 18%;
}*/
.site-header a.navbar-brand {
  margin-right: 0 !important;
}
.site-header .navbar-toggler {
  margin-left: 0 !important;
}
.logo-acessos-pesquisa .area-mobile .btn-pink {
  padding: 6px 12px !important;
}
.logo-acessos-pesquisa {
  display: block !important;
  padding-right: 12px !important;
  padding-left: 12px !important;
  @media (min-width: 991px) {
    display: flex !important;
  }
}
.logo-acessos-pesquisa .btn-group-header {
  display: flex;
  justify-content: space-between;
  margin-right: 0 !important;
  @media (min-width: 991px) {
    display: block;
    margin-right: 16px !important;
  }
}
.logo-acessos-pesquisa .area-mobile {
  display: flex;
  gap: 16px;
  align-items: center;
}

.menu-topo .login ul a{
  color: #33ADC8;
}

.menu-topo .login ul div{
  padding: 10px;
}

.menu-topo .login ul div a{
  font-size: 12px;
  padding-top: 10px;
  margin-left: 5px;
}

.menu-topo .login ul div .btn{
  background-color: #0072BC;
  color: #fff;
  border-radius: 20px;
  float: right;
}

.menu-topo .login ul div .btn:hover{
  background-color: #fff;
  color: #0072BC;
}

.menu-topo .login ul input {
  padding: 8px 16px;
  border: none;
  border-radius: 25px;
  background-color: #e7f6fa; /* Azul claro */
  font-size: 16px;
  color: #333;
  outline: none;
  margin-bottom: 10px;
  transition: box-shadow 0.3s ease;
}

/* Cor do placeholder */
.menu-topo .login ul input::placeholder {
  color: #666;
  opacity: 0.8;
}

/* Efeito ao focar */
.menu-topo .login ul input:focus {
  box-shadow: 0 0 0 2px #b3e0eb;
  background-color: #dff3f9;
}



.busca input::placeholder{
  font-size: 12px;
}

.btn-group-header .btn{
  font-size: 12px;
}

.btn-group-header .dropdown-toggle::after {
  display: none !important;
}

.btn-group-header .dropdown-menu span {
    color: #4f4d4d;
    padding: 0px 6px;
    font-weight: 600;
    font-size: 14px;
}

.btn-group-header .btn:hover{
  color: #6F6C6C !important;
  background-color: #fff;
  border: #6F6C6C solid 1px;
}

.btn-sky:active,
.btn-sky.show,
.btn-pink.active,
.btn-pink.show,
.show > .dropdown-toggle {
  color: #6F6C6C !important;
  background-color: #fff !important;
  border: 1px solid #6F6C6C !important;
  box-shadow: none !important;
}

.dropdown-item{
  color: #6F6C6C !important;
}

.dropdown-menu{
  padding: 10px 0 !important;
}

.dropdown-menu hr{
  height: 3px;
  background-color: #262627;
}

.dropdown-menu span{
  color: #4f4d4d;
  padding: 0px 16px;
}

.btn-pink {
  background-color: #E43470;
  color: #fff;
  font-weight: 600;
  border-radius: 50px;
  padding: 6px 18px;
}

.btn-darkblue {
  background-color: #032A64;
  color: #fff;
  font-weight: 600;
  border-radius: 50px;
  padding: 6px 18px;
}

.btn-sky {
  background-color: #33ADC8;
  color: #fff;
  font-weight: 600;
  border-radius: 50px;
  padding: 6px 18px;
}

/* .btn:hover {
  opacity: 0.85;
} */

.navbar-nav .nav-link {
  color: #6F6C6C;
  margin: 0 10px;
  font-size: 0.95rem;
}

@media screen and (min-width: 991px) and (max-width: 1200px) {
  .site-header ul.navbar-nav .nav-link {
    font-size: 0.80rem;
    margin: 0 5px;
  }
}

@media screen and (min-width: 991px) {
  .site-header .menu-topo .logo-acessos-pesquisa {
    justify-content: center;
  }
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-link:focus {
  color: #032a64;
}

.dropdown-item:hover {
  background-color: #d5d7d9;
}

/* Botão X no canto superior */
.modal-close-x {
    position: absolute;
    right: 12px;
    top: 12px;
    font-size: 22px;
    color: #666;
    background: none;
    border: none;
    z-index: 10;
}

.modal-close-x:hover {
    color: #000;
}

/* Ícones redondos */
.modal-icon {
    font-size: 32px;
    width: 60px;
    height: 60px;
    line-height: 60px;
    border-radius: 50%;
    display: inline-block;
    font-weight: bold;
    margin: 0 auto;
}

/* Estilo Sucesso */
.modal-custom-success {
    border-radius: 14px;
    border-left: 6px solid #28a745;
    animation: modalPop 0.25s ease;
}

.success-icon {
    background: #28a74522;
    color: #28a745;
}

/* Estilo Erro */
.modal-custom-error {
    border-radius: 14px;
    border-left: 6px solid #dc3545;
    animation: modalPop 0.25s ease;
}

.error-icon {
    background: #dc354522;
    color: #dc3545;
}

#modalErro .modal-content .modal-title{
  color: #e6007e
}

#modalErro .modal-content p{
  color: #e6007e
}

#modalSucesso .modal-content .modal-title{
  color: #032a64
}

#modalSucesso .modal-content p{
  color: #032a64
}



/* Animação suave ao aparecer */
@keyframes modalPop {
    from {
        transform: scale(0.8);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}


/* RESPONSIVO */
@media (max-width: 991px) {
  /*.navbar .d-lg-flex {
    display: none !important;
  }*/

  .navbar .form-control {
    width: 100%;
  }

  .navbar-nav .nav-link {
    text-align: center;
  }
}

.login-mobile input{
  margin-top: 15px;
}

.login-mobile .btn-enviar-login-mobile{
  background-color: #0072BC;
  color: #fff;
  border-radius: 20px;
  margin-top: 10px;
}

/* base */
.dropdown-submenu {
  position: relative;
}

/* todos os submenus */
.dropdown-submenu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-left: 0.1rem;
  display: none;
}

/* hover ativa qualquer nível */
.dropdown-submenu:hover > .dropdown-menu {
  display: block;
}

/* remove seta padrão */
.dropdown-submenu > .dropdown-toggle::after {
  display: none;
}

/* seta para direita */
.dropdown-submenu > a::after {
  content: "›";
  float: right;
  font-size: 16px;
  font-weight: bold;
}

#mainNav .pesquisa-mobile { 
  display: none;
}

@media (max-width: 991px) {

  #mainNav {
    display: flex !important;
    flex-direction: column;
    align-items: stretch !important;

    height: calc(100vh - 250px);
    overflow-y: auto;
  }

  #mainNav .navbar-nav {
    width: 100%;
  }

  #mainNav .pesquisa-mobile {
    margin-top: auto;
    padding: 20px 0;
    width: 100%;

    position: sticky;
    bottom: 0;
    background: #fff;

    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
  }

  #mainNav .pesquisa-mobile .mobile-btns {
    display: flex;
    justify-content: space-around;
    width: 100%;
    padding: 0 20px;
    margin-bottom: 20px;
  }

  #mainNav .pesquisa-mobile .mobile-btns a{
    font-size: 12px;
  }

  #mainNav .busca-mobile {
    width: 90%;
    /* max-width: 300px; */
  }

}